components:
  schemas:
    AccountService_v1_0_6_AccountService:
      additionalProperties: false
      description: The AccountService schema contains properties for managing user
        accounts. The properties are common to all user accounts, such as password
        requirements, and control features such as account lockout. The schema also
        contains links to the collections of Manager Accounts and Roles.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.v4_0_3.yaml#/components/schemas/odata_v4_0_3_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.v4_0_3.yaml#/components/schemas/odata_v4_0_3_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.v4_0_3.yaml#/components/schemas/odata_v4_0_3_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.v4_0_3.yaml#/components/schemas/odata_v4_0_3_type
        AccountLockoutCounterResetAfter:
          description: The interval of time in seconds between the last failed login
            attempt and reset of the lockout threshold counter. This value must be
            less than or equal to AccountLockoutDuration. Reset sets the counter to
            zero.
          minimum: 0
          readOnly: false
          type: integer
          x-longDescription: This property shall reference the threshold of time in
            seconds from the last failed login attempt at which point the AccountLockoutThreshold
            counter (that counts number of failed login attempts) is reset back to
            zero (at which point AccountLockoutThreshold failures would be required
            before the account is locked).  This value shall be less than or equal
            to AccountLockoutDuration. The threshold counter also resets to zero after
            each successful login.
          x-units: s
        AccountLockoutDuration:
          description: The time in seconds an account is locked out. The value must
            be greater than or equal to the value of the AccountLockoutCounterResetAfter
            property. If set to 0, no lockout occurs.
          minimum: 0
          nullable: true
          readOnly: false
          type: integer
          x-longDescription: This property shall reference the period of time in seconds
            that an account is locked after the number of failed login attempts reaches
            the threshold referenced by AccountLockoutThreshold, within the window
            of time referenced by AccountLockoutCounterResetAfter.  The value shall
            be greater than or equal to the value of AccountLockoutResetAfter.  If
            set to 0, no lockout shall occur.
          x-units: s
        AccountLockoutThreshold:
          description: The number of failed login attempts allowed before a user account
            is locked for a specified duration. A value of 0 means it is never locked.
          minimum: 0
          nullable: true
          readOnly: false
          type: integer
          x-longDescription: This property shall reference the threshold of failed
            login attempts at which point the user's account is locked.  If set to
            0, no lockout shall ever occur.
        Accounts:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: A link to a collection of Manager Accounts.
          readOnly: true
          x-longDescription: This property shall contain the link to a collection
            of type ManagerAccountCollection.
        AuthFailureLoggingThreshold:
          description: The number of authorization failures allowed before the failure
            attempt is logged to the manager log.
          minimum: 0
          readOnly: false
          type: integer
          x-longDescription: This property shall reference the threshold for when
            an authorization failure is logged.  This represents a modulo function
            value, thus the failure shall be logged every nth occurrence where n represents
            the value of this property.
        Description:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          nullable: true
          readOnly: true
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        MaxPasswordLength:
          description: The maximum password length for this service.
          minimum: 0
          readOnly: true
          type: integer
          x-longDescription: This property shall reference the maximum password length
            that the implementation will allow a password to be set to.
        MinPasswordLength:
          description: The minimum password length for this service.
          minimum: 0
          readOnly: true
          type: integer
          x-longDescription: This property shall reference the minimum password length
            that the implementation will allow a password to be set to.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: This is the manufacturer/provider specific extension moniker
            used to divide the Oem object into sections.
          x-longDescription: The value of this string shall be of the format for the
            reserved word *Oem*.
        Roles:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: A link to a collection of Roles.
          readOnly: true
          x-longDescription: This property shall contain the link to a collection
            of type RoleCollection.
        ServiceEnabled:
          description: Indicates whether this service is enabled.  If set to false,
            the AccountService is disabled.  This means no users can be created, deleted
            or modified.  Any service attempting to access the AccountService resource
            (for example, the Session Service) will fail.  New sessions cannot be
            started when the service is disabled. However, established sessions may
            still continue operating. This does not affect Basic AUTH connections.
          nullable: true
          readOnly: false
          type: boolean
          x-longDescription: 'The value of this property shall be a boolean indicating
            whether this service is enabled.  If this is set to false, the AccountService
            is disabled.  This means no users can be created, deleted or modified.  Any
            service attempting to access the Account Service, like the Session Service,
            will fail accessing.  Thus new sessions cannot be started with the service
            disabled (though established sessions may still continue operating).  Note:
            this does not affect Basic AUTH connections.'
        Status:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Status
          description: This property describes the status and health of the resource
            and its children.
          x-longDescription: This property shall contain any status or health properties
            of the resource.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall be used to represent a management account
        service for a Redfish implementation.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
title: '#AccountService.v1_0_6.AccountService'
x-copyright: Copyright 2014-2018 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-owningEntity: DMTF
